Skip to main content
POST
Add numbers to the Block list

Authorizations

Authorization
string
header
required

Use Authorization: Bearer tc_live_xxxxx

Body

application/json
phone_numbers
string[]
required

Numbers with their country code (+14155551234 or 0014155551234). Spaces, dashes and brackets are ignored.

Required array length: 1 - 1000 elements
Maximum string length: 64
note
string

Kept on each number this request adds.

Maximum string length: 500

Response

The numbers added, those already listed, and those that could not be read

added
string[]
required

Numbers this request added, in E.164.

already_listed
string[]
required

Numbers that were already on the list, in E.164. Their first entry is kept.

invalid
object[]
required

Numbers that could not be read. Nothing was added for them.